--- a/src/bench.h
+++ b/src/bench.h
@@ -78,7 +78,7 @@ typedef long long int64;
 #endif /* HAVE_int64 */
 
 #if (!defined(HAVE_socklen_t) && !defined(__socklen_t_defined))
-typedef int socklen_t;
+typedef unsigned socklen_t;
 #endif
 
 #ifndef HAVE_off64_t
